Bug 578657 - support suspending using CTRL-Z in bpython
Summary: support suspending using CTRL-Z in bpython
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bpython
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-31 23:55 UTC by Till Maas
Modified: 2010-05-31 18:27 UTC (History)
2 users (show)

Fixed In Version: bpython-0.9.6.2-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-31 18:27:29 UTC
Type: ---


Attachments (Terms of Use)

Description Till Maas 2010-03-31 23:55:32 UTC
Description of problem:

This is just a pointer to this upstream report, where I submitted a patch that was accepted to support suspending bpython using CTRL-Z
http://bitbucket.org/bobf/bpython/issue/106/cant-suspend-ctrl-z-bpython

It would be nice to include this in Fedora, maybe when you update to 0.9.6.2.

Comment 1 Terje Røsten 2010-04-11 13:40:43 UTC
Seems like I have overlooked this report. 

The patch is not included in 0.9.6.2? 

Will waiting for 0.9.7 to ok?

Comment 2 Till Maas 2010-04-11 15:09:26 UTC
(In reply to comment #1)
> Seems like I have overlooked this report. 
> 
> The patch is not included in 0.9.6.2? 

This is right, it is not included in 0.9.6.2.

> Will waiting for 0.9.7 to ok?    

Do you know how long it will probably take? The patch is already in the upstream SCM for 6 weeks and 0.9.6.2 seems to be already 3 months old. If 0.9.7 is to be expected soon, say within a month, I guess I can wait that longer.

Comment 3 Terje Røsten 2010-04-11 19:56:32 UTC
OK, lets wait for some weeks. 

I am sorry I forgot to include the patch in the recent 0.9.6 update.

Comment 4 Terje Røsten 2010-05-11 19:01:17 UTC
Hi Till, seems like bpython 0.9.7 takes longer time than first expected.

I can do a new package with the patch while we are waiting.

What do you think?

Comment 5 Till Maas 2010-05-11 22:17:21 UTC
(In reply to comment #4)
> Hi Till, seems like bpython 0.9.7 takes longer time than first expected.
> 
> I can do a new package with the patch while we are waiting.
> 
> What do you think?    

I would welcome it very much. :-) I only starting using bpython when I wrote that patch, so I do not have any experience wrt. to their release cycle.

Comment 6 Fedora Update System 2010-05-30 12:53:57 UTC
bpython-0.9.6.2-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bpython-0.9.6.2-5.fc12

Comment 7 Fedora Update System 2010-05-30 12:54:03 UTC
bpython-0.9.6.2-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bpython-0.9.6.2-5.fc13

Comment 8 Fedora Update System 2010-05-31 18:27:25 UTC
bpython-0.9.6.2-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-05-31 18:27:36 UTC
bpython-0.9.6.2-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.